Intereting Posts
Android Studio 2.2, застрял в проекте «Проект строительства», по импорту существующего проекта «При условии» не работает – андроид-студия с градиентом Android: Удалить активность назад Arrow Почему Android использует несколько контекстов, и каждый отличается? Храните данные в хранилище данных App Engine из приложения Android Как отправить библиотеку для Android Автофокусировка Android не работает после создания вида камеры Измените цвет стрелки на onProgressChanged Как столкнуться с объектами с высокой скоростью в Unity Как получить идентификаторы всех установленных виджетов? Не удалось отладить библиотечные проекты с помощью ADT v14 – Источник не найден Являются ли векторные изображения полезными для Android? Как установить заголовок, прокручиваемый контент и нижний колонтитул? В Android Можем ли мы публиковать в Google плюс приложение для Android? SIGSEGV в Canvas.clipPath во втором клипе

Синхронизация градиента Android Studio не удалось найти в библиотеке

Поэтому я работаю над проектом в AndroidStudio 0.8.1 beta, и я хочу использовать библиотеку, которую я нашел в github ( https://github.com/derekbrameyer/android-betterpickers ). Я добавляю зависимость, как она говорит внутри README.md, но когда я пытаюсь синхронизировать проект с файлами градиента, он говорит:

Не удалось найти: com.doomonafireball.betterpickers: library: 1.5.2

Вот мой файл build.gradle:

apply plugin: 'com.android.application' buildscript { repositories { maven { url 'http://repo1.maven.org/maven2' } } } repositories { mavenCentral() } android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { applicationId 'gtsarandum.syncc' minSdkVersion 14 targetSdkVersion 19 versionCode 1 versionName '1.0' } buildTypes { release { runProguard false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } productFlavors { } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:support-v4:19.+' compile project(':extendedCalendarView') compile project(':src') compile 'com.github.gabrielemariotti.cards:library:1.7.3' compile 'com.github.gabrielemariotti.cards:library-extra:1.7.3' compile 'com.doomonafireball.betterpickers:library:1.5.2' } 

В прошлый раз у меня была эта проблема с gabriellemariotti.cards:libraryd:1.7.3 Я добавил maven { url 'http://repo1.maven.org/maven2' } внутри buildscript, как вы можете видеть выше.

Есть что-то еще, что я должен добавить? Если нет, как решить эту проблему?

Спасибо заранее!

Попробуйте изменить 'gradle.settings' с инструкцией include для пути / lib, который не найден.

Мое исправление заключалось в том, чтобы добавить:

 allprojects { repositories { mavenCentral() } } 

К файлу build.gradle

Не используйте HTTP-прокси. Android Studio -> Файл -> Настройки-> HTTP-прокси -> Нет прокси-сервера